
public class Interval {
	/*
	 * 
	 * Time (tb...te) during which trajectory tr is
	 * nearest the origin
	 * 
	 */
	public Interval(Trajectory t, double start, double end){
		tb=start;
		te=end;
		tr=new Trajectory(t);
	}
	public Interval(Interval i){
		//copying constructor
		tb=i.getStart();
		te=i.getEnd();
		tr=new Trajectory(i.getTrajectory());
	}
	public double getStart(){
		return tb;
	}
	public double getEnd(){
		return te;
	}
	public Trajectory getTrajectory(){
		return tr;
	}
	public void setStart(double s){
		tb=s;
	}
	public void setEnd(double e){
		te=e;
	}
	public String toString(){
		return tr.getId()+" : "+tb+", "+te;
	}
	
	private Trajectory tr;
	private double tb;
	private double te;
}
